Bug 236211 - games/widelands: fails to build with clang 8
Summary: games/widelands: fails to build with clang 8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch
Depends on:
Blocks: 236062
  Show dependency treegraph
 
Reported: 2019-03-04 13:10 UTC by Jan Beich
Modified: 2019-03-11 20:19 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-03-04 13:10:47 UTC
$ poudriere jail -cj clang8 -v projects/clang800-import -m svn+https
$ poudriere testport -j clang8 games/widelands
[...]
In file included from src/ai/ai_help_structs.cc:20:
In file included from src/ai/ai_help_structs.h:35:
src/logic/map_objects/world/terrain_description.h:49:3: error: declaration shadows a variable in namespace 'Widelands' [-Werror,-Wshadow]
                kWater = 2,
                ^
src/logic/roadtype.h:36:2: note: previous declaration is here
        kWater = 3,
        ^

http://package18.nyi.freebsd.org/data/headamd64PR236062-default/2019-03-01_06h42m53s/logs/errors/widelands-b19_16.log
Comment 1 Jan Beich freebsd_committer 2019-03-04 23:31:12 UTC
Reminder: Clang 8 was merged to 13.0-CURRENT in base r344779. Maintainers, expect pkg-fallout@ mail soon.
Comment 2 commit-hook freebsd_committer 2019-03-11 20:18:43 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Mar 11 20:18:14 UTC 2019
New revision: 495388
URL: https://svnweb.freebsd.org/changeset/ports/495388

Log:
  - Remove some -Werror flags

  PR:		236211
  Reported by:	jbeich@FreeBSD.org

Changes:
  head/games/widelands/Makefile
  head/games/widelands/files/patch-CMakeLists.txt
Comment 3 Dmitry Marakasov freebsd_committer 2019-03-11 20:19:03 UTC
Should be fixed now after removing relevant -Werror's.